function y = neuron_sigm(x,w,theta,T)
% funkce pro vypocet vystupu neuronu se sigmoidalni aktivacni funkci pri
% podani na jeho vstup jednoho vstupniho vektoru (nikoliv cele matice!)
%   x       - sloupcovy vektor vstupu
%   w       - sloupcovy vektor vah
%   theta   - prah (konstanta)
%   T       - parametr sigmoidy, ovlivnuje strmost (konstanta)
%   y       - vystup neuronu

a = sum(w.*x) - theta; % aktivita

% Sigmoida
if ~exist('T','var'), T = 0.1; end
y = 1 / (1 + exp(-a/T)); % y=logsig(a);


